import 'dart:io';

import 'package:innosetup/innosetup.dart';

void main() {
  InnoSetup(
    name: const InnoSetupName(
      'windows_installer',
    ),
    location: InnoSetupInstallerDirectory(
      Directory('build/windows'),
    ),
    icon: InnoSetupIcon(
      File('assets/icon.ico'),
    ),
    compression: InnoSetupCompressions().lzma2(
      InnoSetupCompressionLevel.ultra64,
    ),
    languages: InnoSetupLanguages().all,
    license: InnoSetupLicense(
      File('LICENSE'),
    ),
  ).make();
}
