import 'dart:io';

/// Specify the icon [_file] for the installer.
class InnoSetupIcon {
  /// Specify the icon [_file] for the installer.
  ///
  /// ```dart
  /// final icon = InnoSetupIcon(File(r'assets\icon.ico'));
  /// ```
  InnoSetupIcon(this._file);
  // : assert(file.existsSync(), 'Icon file must exist!');

  final File _file;

  @override
  String toString() => 'SetupIconFile=${_file.absolute.path}';
}
